Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.sitemap.node
Class MatchNode

    java.lang.Object
      org.apache.cocoon.sitemap.node.AbstractSitemapNode
          org.apache.cocoon.sitemap.node.MatchNode

All Implemented Interfaces:
  SitemapNode

Direct Known Subclasses:
  WhenNode

    public class MatchNode

extends AbstractSitemapNode

Nested Class Summary
`protected static class` | `MatchNode.MatcherContext`

Constructor Summary
`MatchNode()`

Method Summary
`Class<?>` | `getType()`
`String` | `getValue()`
`InvocationResult` | `invoke(Invocation invocation)`
`protected boolean` | `isMatching()`
`protected MatchNode.MatcherContext` | `lookupMatcherContext()` Find out what matching attribute (pattern, wildcard, equals, etc.) is used, check that it's not more than one that is used and throw an exception otherwise.
`void` | `setValue(String value)`

Methods inherited from class org.apache.cocoon.sitemap.node.AbstractSitemapNode
`addChild, getParameters, getParent, processParameter, setParameters, setParent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MatchNode

    public MatchNode()

Method Detail

### invoke

    public InvocationResult invoke(Invocation invocation)

  Specified by:
    `invoke` in interface `SitemapNode`
  Overrides:
    `invoke` in class `AbstractSitemapNode`
  See Also:
    `AbstractSitemapNode.invoke(org.apache.cocoon.sitemap.Invocation)`

### isMatching

    protected boolean isMatching()

### lookupMatcherContext

    protected MatchNode.MatcherContext lookupMatcherContext()

  Find out what matching attribute (pattern, wildcard, equals, etc.) is used, check that it's not more than one that is used and throw an exception otherwise.

### getType

    public Class<?> getType()

  See Also:
    `SitemapNode.getType()`

### setValue

    public void setValue(String value)

### getValue

    public String getValue()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 The Apache Software Foundation. All Rights Reserved.